/****************************************************/
/* Enable the Instruction/Data Cache selectively	*/
/* using the label definitions 'ENABLE_I_CACHE'		*/
/* and 'ENABLE_D_CACHE'								*/
/*													*/
/* Configure single/both data banks as Cache 		*/
/* using the label definition 'BOTH_D_CACHE'		*/
/*													*/
/****************************************************/
#define ENABLE_I_CACHE
#define ENABLE_D_CACHE
#define BOTH_D_CACHE

#define ARRAY_LENGTH 64


/********************************/
/*	Function in External Memory	*/
/********************************/
void matrix_add(u32 *result, u32 *array1,u32 *array2,u32 size);


/****************************************************/
/* Instruction & Data Cache Configuration Routines	*/
/****************************************************/
void Config_D_Cache(u32 *cplb_addr, u32 *cplb_data,u32 cplb_cnt,u32 banks);
void Config_I_Cache(u32 *cplb_addr, u32 *cplb_data,u32 cplb_cnt,u32 no_lru,u32 *W_Lock);


/********************************************/
/*	Functions to be used for Code Profiling	*/
/********************************************/
void StartProfiling (void);
void EndProfiling (volatile u32 *profileInfoLow, volatile u32 *profileInfoHigh); 

